﻿.ac-clear-button, .ac-panel .ac-box {
    text-align: center;
    user-select: none;
    transition: .2s
}

@font-face {
    font-family: OpenDyslexic;
    src: url('https://cdn.uyap.gov.tr/portal/fonts/OpenDyslexic/OpenDyslexic-Regular.otf');
    font-weight: 100;
    font-style: normal;
    font-display: swap
}

@font-face {
    font-family: OpenDyslexic;
    src: url('https://cdn.uyap.gov.tr/portal/fonts/OpenDyslexic/OpenDyslexic-Bold.otf');
    font-weight: 500;
    font-style: bold;
    font-display: swap
}

body {
    overflow-x: hidden
}

.span-2 {
    grid-column: 2 span
}

.play-button, .stop-button {
    margin-top: 4px;
    margin-bottom: 0 !important
}

.ac-box[data-acc-option=hover-reader] svg, .ac-box[data-acc-option=screen-reader] svg {
    margin-bottom: 4px !important
}

.ac-box.active[data-acc-option=screen-reader] .play-button, .ac-box.active[data-acc-option=select-reader] .play-button, .ac-box:not(.active)[data-acc-option=screen-reader] .stop-button, .ac-box:not(.active)[data-acc-option=select-reader] .stop-button {
    display: none
}

.accessibility-toggle-button {
    position: fixed;
    display: flex;
    align-items: center;
    justify-content: center;
    bottom: 60px;
    right: 8px;
    width: 55px;
    height: 55px;
    border-radius: 50%;
    background-color: gold;
    border: 0;
    z-index: 50;
    transition: .2s;
    box-shadow: #000 0 .125rem .25rem !important
}

    .accessibility-toggle-button svg {
        width: 55px
    }

    .accessibility-toggle-button:hover {
        transform: scale(1.1)
    }

        .accessibility-toggle-button:hover svg {
            width: 60px
        }

.ac-clear-button {
    margin-top: auto;
    display: block;
    background-color: #1c1c1c;
    color: #fff;
    padding: 6px 12px;
    border: 1px solid #1c1c1c;
    border-radius: 6px
}

    .ac-clear-button svg {
        width: 20px;
        margin-right: 6px
    }

    .ac-clear-button:hover {
        background-color: #3e3e3e;
        border-color: #3e3e3e
    }

.ac-panel * {
    box-sizing: border-box
}

.ac-panel {
    width: 400px;
    max-width: 100%;
    position: fixed;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: 1045;
    background-color: #a89872 /*#f5f5f5*/;
    padding: 16px;
    display: flex;
    visibility: hidden;
    flex-direction: column;
    transform: translateX(400px);
    overflow-y: auto;
    -webkit-box-shadow: -7px 0 16px -6px rgba(0, 0, 0, .24);
    -moz-box-shadow: -7px 0 16px -6px rgba(0, 0, 0, .24);
    box-shadow: -7px 0 16px -6px rgba(0, 0, 0, .24);
    transition: transform .3s ease-in-out, visibility .4s
}

    .ac-panel.show {
        transform: translateX(0);
        visibility: visible
    }

.ac-panel--header {
    display: flex;
    justify-content: space-between;
    padding-bottom: 16px
}

    .ac-panel--header h5 {
        font-size: 20px;
        line-height: 30px;
        margin: 0;
        color: #fff !important
    }

.ac-panel--body {
    flex-grow: 1;
    min-height: 0;
    overflow-y: auto;
    display: flex;
    flex-direction: column;
    margin-bottom: 4px
}

.ac-panel--close-button {
    box-sizing: content-box;
    width: 1em;
    height: 1em;
    padding: .25em;
    color: #000;
    background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000'%3E%3Cpath d='M.293.293a1 1 0 0 1 1.414 0L8 6.586 14.293.293a1 1 0 1 1 1.414 1.414L9.414 8l6.293 6.293a1 1 0 0 1-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 0 1-1.414-1.414L6.586 8 .293 1.707a1 1 0 0 1 0-1.414z'/%3E%3C/svg%3E") center/1em auto no-repeat rgba(0, 0, 0, 0);
    border: 0;
    border-radius: .375rem;
    opacity: .5
}

    .ac-panel--close-button:hover {
        color: #000;
        text-decoration: none;
        opacity: .75
    }

    .ac-panel--close-button:focus {
        box-shadow: #000 0 0 0 .25rem;
        opacity: 1
    }

.ac-panel--wrapper {
    display: grid;
    grid-template-columns: repeat(2, minmax(0, 1fr));
    gap: 16px
}

.ac-panel .ac-box-wrapper {
    flex: 0 0 auto;
    width: 50%;
    max-width: 100%;
    padding-right: 8px;
    padding-left: 8px;
    margin-top: 12px
}

.ac-panel .ac-box {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 8px 0;
    border-radius: 8px;
    background-color: #efefef;
    cursor: pointer;
    border: 2px solid transparent
}

    .ac-panel .ac-box svg {
        margin-bottom: 16px;
        stroke: #3e3e3e
    }

    .ac-panel .ac-box:hover {
        border-color: #4b4f5a
    }

    .ac-panel .ac-box.active {
        background-color: gold;
        position: relative;
        color: #1c1c1c
    }

        .ac-panel .ac-box.active svg {
            stroke: #1c1c1c
        }

        .ac-panel .ac-box.active::after {
            content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='M22 11.08V12a10 10 0 1 1-5.93-9.14'%3E%3C/path%3E%3Cpolyline points='22 4 12 14.01 9 11.01'%3E%3C/polyline%3E%3C/svg%3E");
            position: absolute;
            right: 6px;
            top: 6px
        }

.contrast {
    filter: invert(1) !important
}

.highlight-links a,
.highlight-links a *:not(img.word):not(img.html):not(.ImageLazyLoader),
.highlight-links td:nth-child(2) {
    background: #000 !important;
    color: #ff0 !important;
    text-decoration: underline !important;
}
 

.bigger-cursor, .bigger-cursor * {
    cursor: url(../../../img/bigger-curser.svg), auto !important
}

.reading-guide-line {
    width: 70vw !important;
    min-width: 200px !important;
    position: absolute !important;
    height: 8px;
    z-index: 2147483647;
    background-color: #000;
    border-radius: 3px;
    transform: translate(-50%);
    border: 1px solid #ff0;
    pointer-events: none;
    display: none;
    zoom: 1 !important
}

.reading-guide .reading-guide-line {
    display: block !important
}

.dyslexic-friendly * {
    font-family: OpenDyslexic !important
}


.dyslexic-friendly * {
    font-family: OpenDyslexic !important
}



.bigger-text .erisebilirlik-content {
    zoom: 1.3
}

.desaturate {
    filter: saturate(0)
}

.align-text-left * {
    text-align: left !important
}

.reading-focus-overlay-bottom, .reading-focus-overlay-top {
    position: fixed;
    width: 100%;
    background-color: rgba(0, 0, 0, .7);
    z-index: 99999999999;
    display: none
}

.reading-focus-overlay-top {
    top: 0;
    border-bottom: 5px solid navy
}

.reading-focus-overlay-bottom {
    bottom: 0;
    border-top: 5px solid #dc143c
}

.reading-mask .reading-focus-overlay-bottom, .reading-mask .reading-focus-overlay-top {
    display: block
}

.d-none {
    display: none;
}

.low-saturation {
    filter: saturate(.5)
}

.high-saturation {
    filter: saturate(2)
}


.remove-images img:not([src="/images/yeni_tasarim/Icon_youtube.png"]):not([src="/images/yeni_tasarim/Icon_instagram.png"]):not([src="/images/yeni_tasarim/Icon_twitter.png"]):not([src="/images/yeni_tasarim/Icon_facebook.png"]),
.remove-images .arh {
    opacity: 0 !important;
    pointer-events: none;
}

.line-height p {
    line-height: 2 !important
}

.blue-light-filter body:after {
    pointer-events: none;
    content: '';
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background: rgb(255, 255, 195);
    mix-blend-mode: multiply;
    z-index: 2147483647;
}


@media screen and (max-width:576px) {
    .hide-on-sm {
        display: none
    }
}

.accSpeakingArea, .screen-reader .accSpeakingArea {
    background-color: #ff0
}


.active-options-badge {
    position: absolute;
    top: -6px;
    right: -5px;
    background-color: #006716;
    color: #fff;
    border-radius: 50%;
    width: 20px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 12px;
    font-weight: 700
}

#clearSettings {
    background-color: #4b4f5a !important;
    color: #fff !important;
}